@@ -2661,15 +2664,15 @@
          0: new           #88                 // class java/util/ArrayList
          3: dup           
          4: aload_0       
-         5: getfield      #11                 // Field pendings:Lhudson/model/Queue$ItemList;
+         5: getfield      #11                 // Field hudson/model/Queue.pendings:Lhudson/model/Queue$ItemList;
          8: invokevirtual #171                // Method hudson/model/Queue$ItemList.values:()Lhudson/model/Queue$ItemList;
         11: invokespecial #98                 // Method java/util/ArrayList."&lt;init&gt;":(Ljava/util/Collection;)V
         14: areturn       
-      LineNumberTable:
-        line 764: 0
       LocalVariableTable:
         Start  Length  Slot  Name   Signature
                0      15     0  this   Lhudson/model/Queue;
+      LineNumberTable:
+        line 764: 0
     Signature: #505                         // ()Ljava/util/List&lt;Lhudson/model/Queue$BuildableItem;&gt;;
 
   public java.util.Collection&lt;hudson.model.Queue$LeftItem&gt; getLeftItems();
@@ -2677,16 +2680,16 @@
     Code:
       stack=1, locals=1, args_size=1
          0: aload_0       
-         1: getfield      #1                  // Field leftItems:Lcom/google/common/cache/Cache;
+         1: getfield      #1                  // Field hudson/model/Queue.leftItems:Lcom/google/common/cache/Cache;
          4: invokeinterface #181,  1          // InterfaceMethod com/google/common/cache/Cache.asMap:()Ljava/util/concurrent/ConcurrentMap;
          9: invokeinterface #182,  1          // InterfaceMethod java/util/concurrent/ConcurrentMap.values:()Ljava/util/Collection;
         14: invokestatic  #183                // Method java/util/Collections.unmodifiableCollection:(Ljava/util/Collection;)Ljava/util/Collection;
         17: areturn       
-      LineNumberTable:
-        line 773: 0
       LocalVariableTable:
         Start  Length  Slot  Name   Signature
                0      18     0  this   Lhudson/model/Queue;
+      LineNumberTable:
+        line 773: 0
     Signature: #509                         // ()Ljava/util/Collection&lt;Lhudson/model/Queue$LeftItem;&gt;;
 
   public void clearLeftItems();
@@ -2694,15 +2697,15 @@
     Code:
       stack=1, locals=1, args_size=1
          0: aload_0       
-         1: getfield      #1                  // Field leftItems:Lcom/google/common/cache/Cache;
+         1: getfield      #1                  // Field hudson/model/Queue.leftItems:Lcom/google/common/cache/Cache;
          4: invokeinterface #184,  1          // InterfaceMethod com/google/common/cache/Cache.invalidateAll:()V
          9: return        
-      LineNumberTable:
-        line 782: 0
-        line 783: 9
       LocalVariableTable:
         Start  Length  Slot  Name   Signature
                0      10     0  this   Lhudson/model/Queue;
+      LineNumberTable:
+        line 782: 0
+        line 783: 9
 
   public synchronized java.util.List&lt;hudson.model.Queue$Item&gt; getUnblockedItems();
     flags: ACC_PUBLIC, ACC_SYNCHRONIZED
@@ -2714,27 +2717,21 @@
          7: astore_1      
          8: aload_1       
          9: aload_0       
-        10: getfield      #5                  // Field waitingList:Ljava/util/Set;
+        10: getfield      #5                  // Field hudson/model/Queue.waitingList:Ljava/util/Set;
         13: invokeinterface #185,  2          // InterfaceMethod java/util/List.addAll:(Ljava/util/Collection;)Z
         18: pop           
         19: aload_1       
         20: aload_0       
-        21: getfield      #2                  // Field buildables:Lhudson/model/Queue$ItemList;
+        21: getfield      #2                  // Field hudson/model/Queue.buildables:Lhudson/model/Queue$ItemList;
         24: invokeinterface #185,  2          // InterfaceMethod java/util/List.addAll:(Ljava/util/Collection;)Z
         29: pop           
         30: aload_1       
         31: aload_0       
-        32: getfield      #11                 // Field pendings:Lhudson/model/Queue$ItemList;
+        32: getfield      #11                 // Field hudson/model/Queue.pendings:Lhudson/model/Queue$ItemList;
         35: invokeinterface #185,  2          // InterfaceMethod java/util/List.addAll:(Ljava/util/Collection;)Z
         40: pop           
         41: aload_1       
         42: areturn       
-      LineNumberTable:
-        line 791: 0
-        line 792: 8
-        line 793: 19
-        line 794: 30
-        line 796: 41
       LocalVariableTable:
         Start  Length  Slot  Name   Signature
                0      43     0  this   Lhudson/model/Queue;
@@ -2742,6 +2739,12 @@
       LocalVariableTypeTable:
         Start  Length  Slot  Name   Signature
             8      35     1 queuedNotBlocked   Ljava/util/List&lt;Lhudson/model/Queue$Item;&gt;;
+      LineNumberTable:
+        line 791: 0
+        line 792: 8
+        line 793: 19
+        line 794: 30
+        line 796: 41
     Signature: #487                         // ()Ljava/util/List&lt;Lhudson/model/Queue$Item;&gt;;
 
   public synchronized java.util.Set&lt;hudson.model.Queue$Task&gt; getUnblockedTasks();
@@ -2749,7 +2752,7 @@
     Code:
       stack=3, locals=5, args_size=1
          0: aload_0       
-         1: invokevirtual #186                // Method getUnblockedItems:()Ljava/util/List;
+         1: invokevirtual #186                // Method hudson/model/Queue.getUnblockedItems:()Ljava/util/List;
          4: astore_1      
          5: new           #187                // class java/util/HashSet
          8: dup           
@@ -2775,12 +2778,6 @@
         58: goto          26
         61: aload_2       
         62: areturn       
-      LineNumberTable:
-        line 805: 0
-        line 806: 5
-        line 807: 19
-        line 808: 46
-        line 809: 61
       LocalVariableTable:
         Start  Length  Slot  Name   Signature
               46      12     4     t   Lhudson/model/Queue$Item;
@@ -2792,6 +2789,12 @@
         Start  Length  Slot  Name   Signature
             5      58     1 items   Ljava/util/List&lt;Lhudson/model/Queue$Item;&gt;;
            19      44     2 unblockedTasks   Ljava/util/Set&lt;Lhudson/model/Queue$Task;&gt;;
+      LineNumberTable:
+        line 805: 0
+        line 806: 5
+        line 807: 19
+        line 808: 46
+        line 809: 61
       StackMapTable: number_of_entries = 2
            frame_type = 254 /* append */
              offset_delta = 26
@@ -2806,7 +2809,7 @@
     Code:
       stack=2, locals=4, args_size=2
          0: aload_0       
-         1: getfield      #11                 // Field pendings:Lhudson/model/Queue$ItemList;
+         1: getfield      #11                 // Field hudson/model/Queue.pendings:Lhudson/model/Queue$ItemList;
          4: invokevirtual #172                // Method hudson/model/Queue$ItemList.iterator:()Ljava/util/Iterator;
          7: astore_2      
          8: aload_2       
@@ -2826,18 +2829,18 @@
         40: goto          8
         43: iconst_0      
         44: ireturn       
-      LineNumberTable:
-        line 816: 0
-        line 817: 27
-        line 818: 38
-        line 817: 40
-        line 819: 43
       LocalVariableTable:
         Start  Length  Slot  Name   Signature
               27      13     3     i   Lhudson/model/Queue$BuildableItem;
                8      35     2    i$   Ljava/util/Iterator;
                0      45     0  this   Lhudson/model/Queue;
                0      45     1     t   Lhudson/model/Queue$Task;
+      LineNumberTable:
+        line 816: 0
+        line 817: 27
+        line 818: 38
+        line 817: 40
+        line 819: 43
       StackMapTable: number_of_entries = 3
            frame_type = 252 /* append */
              offset_delta = 8
@@ -2854,7 +2857,7 @@
          0: iconst_0      
          1: istore_2      
          2: aload_0       
-         3: getfield      #2                  // Field buildables:Lhudson/model/Queue$ItemList;
+         3: getfield      #2                  // Field hudson/model/Queue.buildables:Lhudson/model/Queue$ItemList;
          6: invokevirtual #171                // Method hudson/model/Queue$ItemList.values:()Lhudson/model/Queue$ItemList;
          9: invokevirtual #172                // Method hudson/model/Queue$ItemList.iterator:()Ljava/util/Iterator;
         12: astore_3      
@@ -2888,7 +2891,7 @@
         91: goto          50
         94: goto          13
         97: aload_0       
-        98: getfield      #11                 // Field pendings:Lhudson/model/Queue$ItemList;
+        98: getfield      #11                 // Field hudson/model/Queue.pendings:Lhudson/model/Queue$ItemList;
        101: invokevirtual #171                // Method hudson/model/Queue$ItemList.values:()Lhudson/model/Queue$ItemList;
        104: invokevirtual #172                // Method hudson/model/Queue$ItemList.iterator:()Ljava/util/Iterator;
        107: astore_3      
@@ -2923,6 +2926,19 @@
        189: goto          108
        192: iload_2       
        193: ireturn       
+      LocalVariableTable:
+        Start  Length  Slot  Name   Signature
+              72      19     6    st   Lhudson/model/queue/SubTask;
+              50      44     5    i$   Ljava/util/Iterator;
+              33      61     4    bi   Lhudson/model/Queue$BuildableItem;
+              13      84     3    i$   Ljava/util/Iterator;
+             167      19     6    st   Lhudson/model/queue/SubTask;
+             145      44     5    i$   Ljava/util/Iterator;
+             128      61     4    bi   Lhudson/model/Queue$BuildableItem;
+             108      84     3    i$   Ljava/util/Iterator;
+               0     194     0  this   Lhudson/model/Queue;
+               0     194     1     l   Lhudson/model/Label;
+               2     192     2     r   I
       LineNumberTable:
         line 826: 0
         line 827: 2
@@ -2938,19 +2954,6 @@
         line 833: 186
         line 832: 189
         line 835: 192
-      LocalVariableTable:
-        Start  Length  Slot  Name   Signature
-              72      19     6    st   Lhudson/model/queue/SubTask;
-              50      44     5    i$   Ljava/util/Iterator;
-              33      61     4    bi   Lhudson/model/Queue$BuildableItem;
-              13      84     3    i$   Ljava/util/Iterator;
-             167      19     6    st   Lhudson/model/queue/SubTask;
-             145      44     5    i$   Ljava/util/Iterator;
-             128      61     4    bi   Lhudson/model/Queue$BuildableItem;
-             108      84     3    i$   Ljava/util/Iterator;
-               0     194     0  this   Lhudson/model/Queue;
-               0     194     1     l   Lhudson/model/Label;
-               2     192     2     r   I
       StackMapTable: number_of_entries = 12
            frame_type = 253 /* append */
              offset_delta = 13
@@ -2990,20 +2993,20 @@
       stack=2, locals=1, args_size=1
          0: aload_0       
          1: aconst_null   
-         2: invokevirtual #196                // Method countBuildableItemsFor:(Lhudson/model/Label;)I
+         2: invokevirtual #196                // Method hudson/model/Queue.countBuildableItemsFor:(Lhudson/model/Label;)I
          5: ireturn       
-      LineNumberTable:
-        line 842: 0
       LocalVariableTable:
         Start  Length  Slot  Name   Signature
                0       6     0  this   Lhudson/model/Queue;
+      LineNumberTable:
+        line 842: 0
 
   public synchronized hudson.model.Queue$Item getItem(hudson.model.Queue$Task);
     flags: ACC_PUBLIC, ACC_SYNCHRONIZED
     Code:
       stack=2, locals=6, args_size=2
          0: aload_0       
-         1: getfield      #3                  // Field blockedProjects:Lhudson/model/Queue$ItemList;
+         1: getfield      #3                  // Field hudson/model/Queue.blockedProjects:Lhudson/model/Queue$ItemList;
          4: aload_1       
          5: invokevirtual #197                // Method hudson/model/Queue$ItemList.get:(Lhudson/model/Queue$Task;)Lhudson/model/Queue$Item;
          8: checkcast     #66                 // class hudson/model/Queue$BlockedItem
@@ -3013,7 +3016,7 @@
         16: aload_2       
         17: areturn       
         18: aload_0       
-        19: getfield      #2                  // Field buildables:Lhudson/model/Queue$ItemList;
+        19: getfield      #2                  // Field hudson/model/Queue.buildables:Lhudson/model/Queue$ItemList;
         22: aload_1       
         23: invokevirtual #197                // Method hudson/model/Queue$ItemList.get:(Lhudson/model/Queue$Task;)Lhudson/model/Queue$Item;
         26: checkcast     #67                 // class hudson/model/Queue$BuildableItem
@@ -3023,7 +3026,7 @@
         34: aload_3       
         35: areturn       
         36: aload_0       
-        37: getfield      #11                 // Field pendings:Lhudson/model/Queue$ItemList;
+        37: getfield      #11                 // Field hudson/model/Queue.pendings:Lhudson/model/Queue$ItemList;
         40: aload_1       
         41: invokevirtual #197                // Method hudson/model/Queue$ItemList.get:(Lhudson/model/Queue$Task;)Lhudson/model/Queue$Item;
         44: checkcast     #67                 // class hudson/model/Queue$BuildableItem
@@ -3033,7 +3036,7 @@
         52: aload_3       
         53: areturn       
         54: aload_0       
-        55: getfield      #5                  // Field waitingList:Ljava/util/Set;
+        55: getfield      #5                  // Field hudson/model/Queue.waitingList:Ljava/util/Set;
         58: invokeinterface #150,  1          // InterfaceMethod java/util/Set.iterator:()Ljava/util/Iterator;
         63: astore        4
         65: aload         4
@@ -3053,6 +3056,14 @@
        102: goto          65
        105: aconst_null   
        106: areturn       
+      LocalVariableTable:
+        Start  Length  Slot  Name   Signature
+              87      15     5  item   Lhudson/model/Queue$Item;
+              65      40     4    i$   Ljava/util/Iterator;
+               0     107     0  this   Lhudson/model/Queue;
+               0     107     1     t   Lhudson/model/Queue$Task;
+              12      95     2    bp   Lhudson/model/Queue$BlockedItem;
+              30      77     3    bi   Lhudson/model/Queue$BuildableItem;
       LineNumberTable:
         line 851: 0
         line 852: 12
@@ -3068,14 +3079,6 @@
         line 863: 99
         line 865: 102
         line 866: 105
-      LocalVariableTable:
-        Start  Length  Slot  Name   Signature
-              87      15     5  item   Lhudson/model/Queue$Item;
-              65      40     4    i$   Ljava/util/Iterator;
-               0     107     0  this   Lhudson/model/Queue;
-               0     107     1     t   Lhudson/model/Queue$Task;
-              12      95     2    bp   Lhudson/model/Queue$BlockedItem;
-              30      77     3    bi   Lhudson/model/Queue$BuildableItem;
       StackMapTable: number_of_entries = 6
            frame_type = 252 /* append */
              offset_delta = 18
@@ -3102,27 +3105,27 @@
          7: astore_2      
          8: aload_2       
          9: aload_0       
-        10: getfield      #3                  // Field blockedProjects:Lhudson/model/Queue$ItemList;
+        10: getfield      #3                  // Field hudson/model/Queue.blockedProjects:Lhudson/model/Queue$ItemList;
         13: aload_1       
         14: invokevirtual #198                // Method hudson/model/Queue$ItemList.getAll:(Lhudson/model/Queue$Task;)Ljava/util/List;
         17: invokeinterface #185,  2          // InterfaceMethod java/util/List.addAll:(Ljava/util/Collection;)Z
         22: pop           
         23: aload_2       
         24: aload_0       
-        25: getfield      #2                  // Field buildables:Lhudson/model/Queue$ItemList;
+        25: getfield      #2                  // Field hudson/model/Queue.buildables:Lhudson/model/Queue$ItemList;
         28: aload_1       
         29: invokevirtual #198                // Method hudson/model/Queue$ItemList.getAll:(Lhudson/model/Queue$Task;)Ljava/util/List;
         32: invokeinterface #185,  2          // InterfaceMethod java/util/List.addAll:(Ljava/util/Collection;)Z
         37: pop           
         38: aload_2       
         39: aload_0       
-        40: getfield      #11                 // Field pendings:Lhudson/model/Queue$ItemList;
+        40: getfield      #11                 // Field hudson/model/Queue.pendings:Lhudson/model/Queue$ItemList;
         43: aload_1       
         44: invokevirtual #198                // Method hudson/model/Queue$ItemList.getAll:(Lhudson/model/Queue$Task;)Ljava/util/List;
         47: invokeinterface #185,  2          // InterfaceMethod java/util/List.addAll:(Ljava/util/Collection;)Z
         52: pop           
         53: aload_0       
-        54: getfield      #5                  // Field waitingList:Ljava/util/Set;
+        54: getfield      #5                  // Field hudson/model/Queue.waitingList:Ljava/util/Set;
         57: invokeinterface #150,  1          // InterfaceMethod java/util/Set.iterator:()Ljava/util/Iterator;
         62: astore_3      
         63: aload_3       
@@ -3144,16 +3147,6 @@
        104: goto          63
        107: aload_2       
        108: areturn       
-      LineNumberTable:
-        line 875: 0
-        line 876: 8
-        line 877: 23
-        line 878: 38
-        line 879: 53
-        line 880: 83
-        line 881: 95
-        line 883: 104
-        line 884: 107
       LocalVariableTable:
         Start  Length  Slot  Name   Signature
               83      21     4  item   Lhudson/model/Queue$Item;
@@ -3164,6 +3157,16 @@
       LocalVariableTypeTable:
         Start  Length  Slot  Name   Signature
             8     101     2 result   Ljava/util/List&lt;Lhudson/model/Queue$Item;&gt;;
+      LineNumberTable:
+        line 875: 0
+        line 876: 8
+        line 877: 23
+        line 878: 38
+        line 879: 53
+        line 880: 83
+        line 881: 95
+        line 883: 104
+        line 884: 107
       StackMapTable: number_of_entries = 3
            frame_type = 253 /* append */
              offset_delta = 63
@@ -3179,24 +3182,24 @@
     Code:
       stack=2, locals=4, args_size=2
          0: aload_0       
-         1: getfield      #3                  // Field blockedProjects:Lhudson/model/Queue$ItemList;
+         1: getfield      #3                  // Field hudson/model/Queue.blockedProjects:Lhudson/model/Queue$ItemList;
          4: aload_1       
          5: invokevirtual #199                // Method hudson/model/Queue$ItemList.containsKey:(Lhudson/model/Queue$Task;)Z
          8: ifne          33
         11: aload_0       
-        12: getfield      #2                  // Field buildables:Lhudson/model/Queue$ItemList;
+        12: getfield      #2                  // Field hudson/model/Queue.buildables:Lhudson/model/Queue$ItemList;
         15: aload_1       
         16: invokevirtual #199                // Method hudson/model/Queue$ItemList.containsKey:(Lhudson/model/Queue$Task;)Z
         19: ifne          33
         22: aload_0       
-        23: getfield      #11                 // Field pendings:Lhudson/model/Queue$ItemList;
+        23: getfield      #11                 // Field hudson/model/Queue.pendings:Lhudson/model/Queue$ItemList;
         26: aload_1       
         27: invokevirtual #199                // Method hudson/model/Queue$ItemList.containsKey:(Lhudson/model/Queue$Task;)Z
         30: ifeq          35
         33: iconst_1      
         34: ireturn       
         35: aload_0       
-        36: getfield      #5                  // Field waitingList:Ljava/util/Set;
+        36: getfield      #5                  // Field hudson/model/Queue.waitingList:Ljava/util/Set;
         39: invokeinterface #150,  1          // InterfaceMethod java/util/Set.iterator:()Ljava/util/Iterator;
         44: astore_2      
         45: aload_2       
@@ -3216,6 +3219,12 @@
         77: goto          45
         80: iconst_0      
         81: ireturn       
+      LocalVariableTable:
+        Start  Length  Slot  Name   Signature
+              64      13     3  item   Lhudson/model/Queue$Item;
+              45      35     2    i$   Ljava/util/Iterator;
+               0      82     0  this   Lhudson/model/Queue;
+               0      82     1     t   Lhudson/model/Queue$Task;
       LineNumberTable:
         line 900: 0
         line 901: 33
@@ -3224,12 +3233,6 @@
         line 904: 75
         line 906: 77
         line 907: 80
-      LocalVariableTable:
-        Start  Length  Slot  Name   Signature
-              64      13     3  item   Lhudson/model/Queue$Item;
-              45      35     2    i$   Ljava/util/Iterator;
-               0      82     0  this   Lhudson/model/Queue;
-               0      82     1     t   Lhudson/model/Queue$Task;
       StackMapTable: number_of_entries = 5
            frame_type = 33 /* same */
            frame_type = 1 /* same */
@@ -3249,7 +3252,7 @@
          1: invokevirtual #200                // Method hudson/model/Executor.getCurrentWorkUnit:()Lhudson/model/queue/WorkUnit;
          4: astore_2      
          5: aload_0       
-         6: getfield      #11                 // Field pendings:Lhudson/model/Queue$ItemList;
+         6: getfield      #11                 // Field hudson/model/Queue.pendings:Lhudson/model/Queue$ItemList;
          9: aload_2       
         10: getfield      #201                // Field hudson/model/queue/WorkUnit.context:Lhudson/model/queue/WorkUnitContext;
         13: getfield      #202                // Field hudson/model/queue/WorkUnitContext.item:Lhudson/model/Queue$BuildableItem;
@@ -3265,18 +3268,18 @@
         33: aload_0       
         34: invokevirtual #161                // Method hudson/model/Queue$LeftItem.enter:(Lhudson/model/Queue;)V
         37: return        
-      LineNumberTable:
-        line 916: 0
-        line 917: 5
-        line 919: 20
-        line 920: 32
-        line 921: 37
       LocalVariableTable:
         Start  Length  Slot  Name   Signature
                0      38     0  this   Lhudson/model/Queue;
                0      38     1  exec   Lhudson/model/Executor;
                5      33     2    wu   Lhudson/model/queue/WorkUnit;
               32       6     3    li   Lhudson/model/Queue$LeftItem;
+      LineNumberTable:
+        line 916: 0
+        line 917: 5
+        line 919: 20
+        line 920: 32
+        line 921: 37
     Exceptions:
       throws java.lang.InterruptedException
 
@@ -3285,14 +3288,14 @@
     Code:
       stack=1, locals=1, args_size=1
          0: aload_0       
-         1: getfield      #25                 // Field maintainerThread:Ljenkins/util/AtmostOneTaskExecutor;
+         1: getfield      #25                 // Field hudson/model/Queue.maintainerThread:Ljenkins/util/AtmostOneTaskExecutor;
          4: invokevirtual #205                // Method jenkins/util/AtmostOneTaskExecutor.submit:()Ljava/util/concurrent/Future;
          7: areturn       
-      LineNumberTable:
-        line 934: 0
       LocalVariableTable:
         Start  Length  Slot  Name   Signature
                0       8     0  this   Lhudson/model/Queue;
+      LineNumberTable:
+        line 934: 0
     Signature: #547                         // ()Ljava/util/concurrent/Future&lt;*&gt;;
     RuntimeInvisibleAnnotations:
       0: #549(#550=[c#551])
@@ -3301,7 +3304,7 @@
     flags: ACC_PUBLIC, ACC_SYNCHRONIZED
     Code:
       stack=7, locals=9, args_size=1
-         0: getstatic     #4                  // Field LOGGER:Ljava/util/logging/Logger;
+         0: getstatic     #4                  // Field hudson/model/Queue.LOGGER:Ljava/util/logging/Logger;
          3: getstatic     #131                // Field java/util/logging/Level.FINE:Ljava/util/logging/Level;
          6: ldc           #214                // String Queue maintenance started {0}
          8: aload_0       
@@ -3355,7 +3358,7 @@
        116: new           #88                 // class java/util/ArrayList
        119: dup           
        120: aload_0       
-       121: getfield      #3                  // Field blockedProjects:Lhudson/model/Queue$ItemList;
+       121: getfield      #3                  // Field hudson/model/Queue.blockedProjects:Lhudson/model/Queue$ItemList;
        124: invokevirtual #171                // Method hudson/model/Queue$ItemList.values:()Lhudson/model/Queue$ItemList;
        127: invokespecial #98                 // Method java/util/ArrayList."&lt;init&gt;":(Ljava/util/Collection;)V
        130: invokevirtual #99                 // Method java/util/ArrayList.iterator:()Ljava/util/Iterator;
@@ -3369,12 +3372,12 @@
        152: astore_3      
        153: aload_0       
        154: aload_3       
-       155: invokespecial #224                // Method isBuildBlocked:(Lhudson/model/Queue$Item;)Z
+       155: invokespecial #224                // Method hudson/model/Queue.isBuildBlocked:(Lhudson/model/Queue$Item;)Z
        158: ifne          190
        161: aload_0       
        162: aload_3       
        163: getfield      #225                // Field hudson/model/Queue$BlockedItem.task:Lhudson/model/Queue$Task;
-       166: invokespecial #226                // Method allowNewBuildableTask:(Lhudson/model/Queue$Task;)Z
+       166: invokespecial #226                // Method hudson/model/Queue.allowNewBuildableTask:(Lhudson/model/Queue$Task;)Z
        169: ifeq          190
        172: aload_3       
        173: aload_0       
@@ -3385,14 +3388,14 @@
        182: dup           
        183: aload_3       
        184: invokespecial #228                // Method hudson/model/Queue$BuildableItem."&lt;init&gt;":(Lhudson/model/Queue$NotWaitingItem;)V
-       187: invokespecial #229                // Method makeBuildable:(Lhudson/model/Queue$BuildableItem;)V
+       187: invokespecial #229                // Method hudson/model/Queue.makeBuildable:(Lhudson/model/Queue$BuildableItem;)V
        190: goto          134
        193: aload_0       
-       194: getfield      #5                  // Field waitingList:Ljava/util/Set;
+       194: getfield      #5                  // Field hudson/model/Queue.waitingList:Ljava/util/Set;
        197: invokeinterface #165,  1          // InterfaceMethod java/util/Set.isEmpty:()Z
        202: ifne          288
        205: aload_0       
-       206: invokespecial #230                // Method peek:()Lhudson/model/Queue$WaitingItem;
+       206: invokespecial #230                // Method hudson/model/Queue.peek:()Lhudson/model/Queue$WaitingItem;
        209: astore_2      
        210: aload_2       
        211: getfield      #140                // Field hudson/model/Queue$WaitingItem.timestamp:Ljava/util/Calendar;
@@ -3411,18 +3414,18 @@
        240: astore_3      
        241: aload_0       
        242: aload_2       
-       243: invokespecial #224                // Method isBuildBlocked:(Lhudson/model/Queue$Item;)Z
+       243: invokespecial #224                // Method hudson/model/Queue.isBuildBlocked:(Lhudson/model/Queue$Item;)Z
        246: ifne          272
        249: aload_0       
        250: aload_3       
-       251: invokespecial #226                // Method allowNewBuildableTask:(Lhudson/model/Queue$Task;)Z
+       251: invokespecial #226                // Method hudson/model/Queue.allowNewBuildableTask:(Lhudson/model/Queue$Task;)Z
        254: ifeq          272
        257: aload_0       
        258: new           #67                 // class hudson/model/Queue$BuildableItem
        261: dup           
        262: aload_2       
        263: invokespecial #232                // Method hudson/model/Queue$BuildableItem."&lt;init&gt;":(Lhudson/model/Queue$WaitingItem;)V
-       266: invokespecial #229                // Method makeBuildable:(Lhudson/model/Queue$BuildableItem;)V
+       266: invokespecial #229                // Method hudson/model/Queue.makeBuildable:(Lhudson/model/Queue$BuildableItem;)V
        269: goto          285
        272: new           #66                 // class hudson/model/Queue$BlockedItem
        275: dup           
@@ -3433,18 +3436,18 @@
        282: invokevirtual #234                // Method hudson/model/Queue$BlockedItem.enter:(Lhudson/model/Queue;)V
        285: goto          193
        288: aload_0       
-       289: getfield      #33                 // Field sorter:Lhudson/model/queue/QueueSorter;
+       289: getfield      #33                 // Field hudson/model/Queue.sorter:Lhudson/model/queue/QueueSorter;
        292: astore_2      
        293: aload_2       
        294: ifnull        305
        297: aload_2       
        298: aload_0       
-       299: getfield      #2                  // Field buildables:Lhudson/model/Queue$ItemList;
+       299: getfield      #2                  // Field hudson/model/Queue.buildables:Lhudson/model/Queue$ItemList;
        302: invokevirtual #235                // Method hudson/model/queue/QueueSorter.sortBuildableItems:(Ljava/util/List;)V
        305: new           #88                 // class java/util/ArrayList
        308: dup           
        309: aload_0       
-       310: getfield      #2                  // Field buildables:Lhudson/model/Queue$ItemList;
+       310: getfield      #2                  // Field hudson/model/Queue.buildables:Lhudson/model/Queue$ItemList;
        313: invokespecial #98                 // Method java/util/ArrayList."&lt;init&gt;":(Ljava/util/Collection;)V
        316: invokevirtual #99                 // Method java/util/ArrayList.iterator:()Ljava/util/Iterator;
        319: astore_3      
@@ -3457,7 +3460,7 @@
        338: astore        4
        340: aload_0       
        341: aload         4
-       343: invokespecial #224                // Method isBuildBlocked:(Lhudson/model/Queue$Item;)Z
+       343: invokespecial #224                // Method hudson/model/Queue.isBuildBlocked:(Lhudson/model/Queue$Item;)Z
        346: ifeq          386
        349: aload         4
        351: aload_0       
@@ -3470,7 +3473,7 @@
        363: invokespecial #237                // Method hudson/model/Queue$BlockedItem."&lt;init&gt;":(Lhudson/model/Queue;Lhudson/model/Queue$NotWaitingItem;)V
        366: aload_0       
        367: invokevirtual #234                // Method hudson/model/Queue$BlockedItem.enter:(Lhudson/model/Queue;)V
-       370: getstatic     #4                  // Field LOGGER:Ljava/util/logging/Logger;
+       370: getstatic     #4                  // Field hudson/model/Queue.LOGGER:Ljava/util/logging/Logger;
        373: getstatic     #131                // Field java/util/logging/Level.FINE:Ljava/util/logging/Level;
        376: ldc           #238                // String Catching that {0} is blocked in the last minute
        378: aload         4
@@ -3509,7 +3512,7 @@
        467: invokespecial #244                // Method hudson/model/queue/MappingWorksheet."&lt;init&gt;":(Lhudson/model/Queue$BuildableItem;Ljava/util/List;)V
        470: astore        6
        472: aload_0       
-       473: getfield      #27                 // Field loadBalancer:Lhudson/model/LoadBalancer;
+       473: getfield      #27                 // Field hudson/model/Queue.loadBalancer:Lhudson/model/LoadBalancer;
        476: aload         4
        478: getfield      #191                // Field hudson/model/Queue$BuildableItem.task:Lhudson/model/Queue$Task;
        481: aload         6
